## kwin-style-kali 2025.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF5_MIN_VERSION "5.102.0")
set(KF6_MIN_VERSION "6.10.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

include(GenerateExportHeader)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH}  ${CMAKE_SOURCE_DIR}/cmake)

set(QT_MAJOR_VERSION 6)
include(KDEInstallDirs6)
include(KDECMakeSettings)

find_package(KF6KCMUtils ${KF6_MIN_VERSION})

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    ColorScheme
    Config
    GuiAddons
    I18n
    IconThemes
    WindowSystem)

add_subdirectory(libbreezecommon libbreezecommon6)

find_package(KDecoration3 REQUIRED)
add_subdirectory(kdecoration)

=== debian/changelog ===
kwin-style-kali (2025.1.3) kali-dev; urgency=medium

  * Import KDE breeze v6.3.0
  * Update build dependencies

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 18 Feb 2025 11:05:21 +0100

kwin-style-kali (2025.1.2) kali-dev; urgency=medium

  * Rename kwin theme back to org.kali.kali

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 09 Jan 2025 15:26:30 +0100

kwin-style-kali (2025.1.1) kali-dev; urgency=medium

  * Import KDE breeze v6.2.5
  * Update maintainer notes
  * Revert "Make the package dummy"
  * Update packaging

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Thu, 09 Jan 2025 14:26:30 +0100

kwin-style-kali (2025.1.0) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Add d/watch
  * d/upstream: Add upstream metadata

  [ Arnaud Rebillout ]
  * Make the package dummy

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 05 Dec 2024 14:35:38 +0700

kwin-style-kali (2022.2.0) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders
  * Update control

  [ Daniel Ruiz de Alegría ]
  * Import KDE breeze 5.24.2
  * Update package maintainance README
  * Fix breeze update
  * Update build-depends

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 01 Mar 2022 18:43:06 +0100

kwin-style-kali (2021.4.1) kali-dev; urgency=medium

  * Import KDE breeze v5.23.1
  * Fix breeze update
  * Reduce window frame radius

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 22 Oct 2021 10:57:42 +0200

kwin-style-kali (2021.4.0) kali-dev; urgency=medium

  * Initial release

  [ Daniel Ruiz de Alegría ]
  * Fix package name
  * Remove unneeded CMakeLists.txt from libbreezecommon
  * Drop kde-style-breeze dependency

  [ Arnaud Rebillout ]
  * Remove non-existing files in debian/copyright
  * Add maintenance notes, update package description

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 13 Oct 2021 15:46:09 +0700

=== debian/control ===
Source: kwin-style-kali
Section: kde
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Arnaud Rebillout <arnaudr@kali.org>,
           Daniel Ruiz de Alegría <daniruiz@kali.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkdecorations3-dev,
               libkf6configwidgets-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6guiaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
Standards-Version: 4.7.0
Vcs-Git: https://gitlab.com/kalilinux/packages/kwin-style-kali.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/kwin-style-kali
Rules-Requires-Root: no

Package: kwin-style-kali
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Kali theme for KWin
 Kali's window manager theme for KDE Plasma 5 desktop
 .
 This theme is based on KDE breeze, with modifications to fit Kali Linux
 look and feel.

## kwin-style-kali 2025.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF5_MIN_VERSION "5.102.0")
-set(KF6_MIN_VERSION "6.10.0")
-set(KDE_COMPILERSETTINGS_LEVEL "5.82")
+set(KF6_MIN_VERSION "6.18.0")
 
 include(GenerateExportHeader)

=== kdecoration/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="breeze_kwin_deco")

################# includes #################
include_directories(${CMAKE_SOURCE_DIR}/libbreezecommon)
include_directories(${CMAKE_BINARY_DIR}/libbreezecommon)

################# newt target #################
### plugin classes
set(breezedecoration_SRCS
    breezebutton.cpp
    breezedecoration.cpp
    breezesettingsprovider.cpp
    breezeexceptionlist.cpp
)

### build library
kconfig_add_kcfg_files(breezedecoration_SRCS breezesettings.kcfgc)
add_library(breezedecoration MODULE
    ${breezedecoration_SRCS}
    ${breezedecoration_config_PART_FORMS_HEADERS})

set_target_properties(breezedecoration PROPERTIES
    OUTPUT_NAME org.kali.kali
)

target_link_libraries(breezedecoration
    PRIVATE
        breezecommon6
        Qt6::DBus
        KF6::CoreAddons
        KF6::ConfigGui
        KF6::GuiAddons
        KF6::I18n
        KF6::IconThemes
        KDecoration3::KDecoration
)

install(TARGETS breezedecoration DESTINATION ${KDE_INSTALL_PLUGINDIR}/${KDECORATION_PLUGIN_DIR})

=== debian/changelog ===
kwin-style-kali (2025.4.1) kali-dev; urgency=medium

  [ Daniel Ruiz de Alegría ]
  * Import KDE breeze v6.4.3
  * Import KDE breeze v6.4.91
  * Update packaging
  * Update min version for libkdecorations3-dev
  * Set c++ versiton to std=c++20

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Tue, 28 Oct 2025 11:44:28 +0100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,17 @@
            Daniel Ruiz de Alegría <daniruiz@kali.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules,
-               libkdecorations3-dev,
-               libkf6configwidgets-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkdecorations3-dev (>= 4:6.4.91~),
                libkf6coreaddons-dev (>= 6.10.0~),
                libkf6guiaddons-dev (>= 6.10.0~),
                libkf6i18n-dev (>= 6.10.0~),
                libkf6iconthemes-dev (>= 6.10.0~),
+               libkf6kcmutils-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
-               libqt5x11extras5-dev (>= 5.15.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://gitlab.com/kalilinux/packages/kwin-style-kali.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/kwin-style-kali
-Rules-Requires-Root: no
 
 Package: kwin-style-kali
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export CXXFLAGS += -std=c++20

%:
	dh $@
